--- plugh/Makefile	2002-09-30 20:27:56.000000000 +0200
+++ plugh/Makefile	2005-12-21 10:05:52.000674995 +0100
@@ -2,7 +2,7 @@
 CFLAGS+=-O2
 LFLAGS=$(CFLAGS) #-s
 LIBES=-ltermcap
-CC=gcc -baout
+CC=gcc
 
 all: plugh
 
--- plugh/gettydefs.c	2002-09-30 20:27:56.000000000 +0200
+++ plugh/gettydefs.c	2005-12-21 10:16:17.000089368 +0100
@@ -197,20 +197,6 @@
     { NULL }
 };
 
-#define CINTR	003	/* ^C */
-#define	CQUIT	034	/* ^\ */
-#define CERASE	010	/* ^H */
-#define	CKILL	025	/* ^U */
-#define CEOF	004	/* ^D */
-#define CEOL	015	/* ^M */
-#define CSUSP	032	/* ^Z */
-#define CSTART	021	/* ^Q */
-#define CSTOP	023	/* ^S */
-#define	CRPRNT	022	/* ^R */
-#define CFLUSH	017	/* ^O */
-#define	CWERASE	027	/* ^W */
-#define CLNEXT	026	/* ^V */
-
 /* c_cc special characters */
 static struct modeword ccchars[] = {
     {"vintr", VINTR, CINTR},
--- plugh/plugh.c	2002-09-30 20:27:56.000000000 +0200
+++ plugh/plugh.c	2005-12-21 10:13:07.000614851 +0100
@@ -64,11 +64,12 @@
 #include <grp.h>
 #include <malloc.h>
 #include <utmp.h>
+#include <asm/ioctls.h>
 
 #include "gettydefs.h"
 
-void error(char *fmt, ...);
-void login(struct passwd *, char *);
+void plugh_error(char *fmt, ...);
+void plugh_login(struct passwd *, char *);
 
 static struct utsname sysinfo;	/* system information for login: prompt */
 int tty;			/* tty we're talking to */
@@ -158,18 +159,18 @@
     loadgettydefs("/etc/gettydefs");
 
     if (argc < 3)
-	error("usage: plugh [options] user tty [tag [term-type]]");
+	plugh_error("usage: plugh [options] user tty [tag [term-type]]");
 
     user = argv[1];
     if ((pwd = getpwnam(user)) == 0)
-	error("unknown user <%s>", user);
+	plugh_error("unknown user <%s>", user);
     argv++;
     argc--;
 
     if (argc >= 3) {
 	tio = getgettydef(argv[2]);
 	if (tio == (GDE*)0)
-	    error("unknown tag <%s>", argv[2]);
+	    plugh_error("unknown tag <%s>", argv[2]);
     }
     else
 	tio = &default_tio;
@@ -191,7 +192,7 @@
     }
 
     if (strchr(argv[1], '/') != 0)
-	error("badly formed tty name <%s>", argv[1]);
+	plugh_error("badly formed tty name <%s>", argv[1]);
 
     close(0);	/* close the standard file descriptors, then open */
     close(1);	/* the terminal and fill them in */
@@ -199,7 +200,7 @@
 
     sprintf(terminal, "/dev/%s", logintty = argv[1]);
     if ((tty = open(terminal, O_RDWR)) < 0)
-	error("cannot open tty <%s>", argv[1]);
+	plugh_error("cannot open tty <%s>", argv[1]);
 
     dup(tty);
     dup(tty);
@@ -208,7 +209,7 @@
     ioctl(0, TIOCSPGRP, &opt);
 
     if (uname(&sysinfo) != 0)
-	error("uname failed: %s", strerror(errno));
+	plugh_error("uname failed: %s", strerror(errno));
 
     /* set the terminal settings so that the user can actually do
      * something with their shell
@@ -222,7 +223,7 @@
     /* spit out the issue message, if any
      */
     if (issue)
-	cat(issue);
+	plugh_cat(issue);
 
     /* set up arg0 so that it's got the - to tell the shell that
      * yes, indeed, we are a login shell
@@ -240,7 +241,7 @@
 
     /* add utmp/wtmp entries
      */
-    login(pwd, logintty);
+    plugh_login(pwd, logintty);
 
     /* change our group and id to the user
      */
@@ -261,7 +262,7 @@
     chdir(pwd->pw_dir);
 
     execl(shell, arg0, 0);
-    error("cannot exec shell <%s>", shell);
+    plugh_error("cannot exec shell <%s>", shell);
     exit(0);
 } /* main */
 
@@ -269,7 +270,7 @@
 /*
  * cat() dumps a file to the terminal
  */
-cat(char *file)
+plugh_cat(char *file)
 {
     FILE *f;
     char c;
@@ -279,7 +280,7 @@
 	    putchar(c);
 	fclose(f);
     }
-} /* cat */
+} /* plugh_cat */
 
 
 /* 
@@ -287,7 +288,7 @@
  * then quit
  */
 void
-error(char *fmt, ...)
+plugh_error(char *fmt, ...)
 {
     va_list ptr;
 
@@ -298,14 +299,14 @@
     closelog();
     sleep(10);
     exit(1);
-} /* error */
+} /* plugh_error */
 
 
 /*
  * write entries to utmp and wtmp
  */
 void
-login(struct passwd *pwd, char *tty)
+plugh_login(struct passwd *pwd, char *tty)
 {
     struct utmp ut;
     char *ttyabbrev;
@@ -330,4 +331,4 @@
 	flock(wtmp, LOCK_UN);
 	close(wtmp);
     }
-} /* login */
+} /* plugh_login */
